package si.majeric.jetty;

import java.io.Serializable;

import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.annotation.PostConstruct;
import javax.enterprise.context.SessionScoped;
import javax.inject.Named;

/**
 * 
 * @author Uros Majeric
 *
 */
//annotations replaced with config in beans.xml
@SessionScoped
@Named
public class HelloWorld implements Serializable {

    private String message;
    private String append;

    public HelloWorld() {
        super();
    }

    @PostConstruct
    public void postConstruct() {
        this.message = "Hello ";
        this.append = "World";
    }

    public void appendString() {
        this.message += append + " ";
        this.append = "";
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public void setAppend(String append) {
        this.append = append;
    }

    public String getAppend() {
        return append;
    }
}
